Security Enhanced Linux Reference Policy

# Layer: apps

## Module: gpg

Tunables Interfaces

### Description:

Policy for GNU Privacy Guard and related programs.

### Tunables:

gpg_agent_env_file

##### Default value

false

##### Description

Allow usage of the gpg-agent --write-env-file option. This also allows gpg-agent to manage user files.

Return

### Interfaces:

gpg_domtrans( domain )

##### Summary

Transition to a user gpg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpg_role( role , domain )

##### Summary

Role access for gpg

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

gpg_signal( domain )

##### Summary

Send generic signals to user gpg processes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return